User Properties

Remove Value From List

POST https://api.fyno.io/v1/{WSID}/{version}/profiles/properties/list-remove

This API enables you to remove existing values from the list type properties of your users listed in your User Profiles. If the specified distinct ID or list property doesn't exist, it simply accepts the remove request and ignores it.

Note: This API can only be used to remove values from list and can remove only one value from a property at a time. To unset (nullify) other property types, please use Unset User Property API.

Authorization

Authorizationheaderstringrequired

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path Parameters

WSIDpathstringrequired

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

versionpathenum (string)required

Specify the version for which you would like to update the user property.

Allowed valueslivetest

Body

$removebodyobjectrequired

Enter the property name as JSON key and the value to remove as JSON value

distinct_idbodystringrequired

Enter the distinct ID that you use to identify the recipient.

Response

application/json

Request has been accepted and will be processed asynchronously.

request_idstringrequired